const files = [
  "3m_sie.gif", "8P.gif", "aniolek.gif", "aparat.gif", "beczy.gif", "beksa.gif", "bezradny.gif",
  "bije.gif", "boisie.gif", "boje_sie.gif", "boks.gif", "brawa.gif", "buja_w_oblokach.gif", "bukiet.gif",
  "buziak.gif", "buzki.gif", "calus.gif", "cfaniak.gif", "chatownik.gif", "chytry.gif", "cisza.gif",
  "cmok.gif", "co.gif", "co_jest.gif", "cwaniak.gif", "czarodziej.gif", "czas.gif", "czytaj.gif", "diabelek.gif",
  "dobani.gif", "dokuczacz.gif", "dostal.gif", "dresiarz.gif", "drink.gif", "dupa.gif", "faja.gif", "figielek.gif",
  "foch.gif", "fuck.gif", "gafa.gif", "ganja.gif", "gazeta.gif", "glaszcze.gif", "glupek.gif", "glupek2.gif",
  "gool.gif", "gra.gif", "haha.gif", "hahaha.gif", "heej.gif", "hejka.gif", "hmmm.gif", "hura.gif",
  "jablko.gif", "je_pizze.gif", "jem.gif", "jezyk.gif", "jezyk1.gif", "jezyk2.gif", "jezyk_oko.gif", "jupi.gif",
  "kawa.gif", "killer.gif", "klotnia.gif", "kotek.gif", "krecka_dostal.gif", "krzyk.gif", "krzywy.gif",
  "kwadr.gif", "kwasny.gif", "kwiatek.gif", "list.gif", "lol.gif", "luzik.gif", "menu.gif", "milczek.gif",
  "milosc.gif", "mniam.gif", "mruga.gif", "mutny.gif", "muza.gif", "mysli.gif", "nauka.gif", "nerwus.gif", "nie.gif",
  "nie_powiem.gif", "niee.gif", "nonono.gif", "obiad.gif", "oczko.gif", "oczko2.gif", "oczy.gif", "ok.gif",
  "ok2.gif", "oklasky.gif", "okok.gif", "okularnik.gif", "olaboga.gif", "onajego.gif", "ostr.gif", "pada.gif",
  "paker.gif", "palacz.gif", "paluszkiem.gif", "papa.gif", "papa2.gif", "peace.gif", "pies.gif", "pisze.gif",
  "piwko2.gif", "piwo.gif", "placze.gif", "plask.gif", "plotki.gif", "pocieszacz.gif", "pomocy.gif", "prezent.gif",
  "prosi.gif", "prysznic.gif", "przytul.gif", "puknijsie.gif", "pytajnik.gif", "rotfl.gif", "roza.gif",
  "sciana.gif", "serce.gif", "serducho.gif", "serduszka.gif", "serduszka2.gif", "sex.gif", "slonko.gif",
  "smutny.gif", "snieg.gif", "soczek.gif", "spadaj.gif", "spie.gif", "spioch.gif", "spoko.gif", "stop.gif",
  "stres.gif", "szampan.gif", "szok.gif", "tak.gif", "tancze.gif", "telefon.gif", "tiaaa.gif", "tort.gif", "tuptup.gif",
  "uczen.gif", "uoeee.gif", "uscisk.gif", "usmiech.gif", "usmiech2.gif", "usta.gif", "w8.gif", "wanna.gif",
  "wc.gif", "wesoly.gif", "winko.gif", "wnerw.gif", "wow.gif", "wsciekly.gif", "wstydnis.gif", "wykrzyknik.gif",
  "wysmiewacz.gif", "ysz.gif", "yyyy.gif", "z_jezorem.gif", "zab.gif", "zacieszacz.gif", "zakochany.gif", "zakupy.gif",
  "zalamka.gif", "zawstydzony.gif", "zdziwko.gif", "zeby.gif", "zegar.gif", "ziew.gif", "zlezkawoku.gif",
  "zly.gif", "zmeczony.gif", "zniesmaczony.gif", "zygi.gif",
];

const sizes = ["base", "4x", "8x", "10x", "16x"];

function wrap(x) {
  const td = document.createElement('td');
  td.appendChild(x);

  return td;
};

function mklinks(f) {
  return sizes.map(s => {
    const a = document.createElement('a');
    a.href = `${s}/${f}`;
    a.innerHTML = `[${s}] `;
    return a;
  });
}

function main() {
  const el = document.getElementsByTagName('table')[0];
  files.forEach(f => {
    const it = document.createElement('tr');
    const img = document.createElement('img');
    const text = document.createElement('span');
    text.innerHTML = f;
    img.src = `${sizes[0]}/${f}`;
    it.appendChild(wrap(text));
    it.appendChild(wrap(img));
    mklinks(f).forEach(l => it.appendChild(wrap(l)));
    el.appendChild(it);
  });
}

main();
